net.corda.core.flows

## Class StateMachineRunId

- net.corda.core.flows.StateMachineRunId

-     public class StateMachineRunId

  A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StateMachineRunId.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StateMachineRunId.Companion` | `Companion`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.UUID` | `component1()`
    `StateMachineRunId` | `copy(java.util.UUID uuid)` A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.
    `boolean` | `equals(java.lang.Object p)`
    `java.util.UUID` | `getUuid()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Field Detail

    - #### Companion

          public static StateMachineRunId.Companion Companion

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getUuid

          public java.util.UUID getUuid()

    - #### component1

          public java.util.UUID component1()

    - #### copy

          public StateMachineRunId copy(java.util.UUID uuid)

      A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)